Subject: Interesting 8/L problem (more than you want to know about switching transistors)

From: Charles <[email-masked]>
Date: Fri Apr 4 22:43:25 2003

I was sending blocks of data to and from my DF32x4 emulator when I
noticed that Bit 5 was always writing a zero to the disk - turned
out to be a bad bus driver (M623 in slot D28) and I found a short
from collector to emitter of the output switching transistor.

After destroying the transistor removing it, I found out the
clamping diode was the actual shorted part :^P so after replacing
it with a 1N4148, I grabbed the nearest 2N3904 switching
transistor and put it in. Guess what - Bit 5 still didn't work,
although it was now changing states!

To make a long story short, I found that the rise time of a 2N3904
is reasonably fast (around 50 nS) but the storage time in the
circuit DEC used (a 7402 NOR gate driving the transistor base
through 390 ohms) is on the order of 500 nS. (Once a bipolar
transistor is turned on, there is a significant time required to
extract the charges from the base so it will turn off, especially
if a negative drive voltage is not available). Although the 7402
output waveform was square, this particular transistor base
voltage was dropping much more slowly than any of the others; I
could see on the scope that this made the BMB5 output change from
0 to +5 volts AFTER my disk circuit wrote the data into the NVRAM!

Some research through the data books showed that a 2N5769, for
example, would have been a much better replacement, with a storage
time spec of 13 nS. Fortunately, after a little experimenting with
"peaking" capacitors across the 390 ohm resistor, an 820 pF gave a
sufficiently fast turn-on and turn-off with the 2N3904.

So the object lesson here is that all switching transistors are
not created equal, even in 1960's technology! Naturally since the
DEC part numbers are no longer available, some thought is needed
before just deciding on PNP or NPN...

-Charles
(Relearning long-dormant EE skills!)

---

From: [email-masked] (Tony Duell)
Date: Mon Apr 7 12:42:49 2003

> not created equal, even in 1960's technology! Naturally since the

Having repaired (1960's) HP9100 calculators, I can agree with that. Some 
of the transistors in there are critical. Very critical. The ROM address 
drivers, for example (the main ROM is an inductive matrix...). And even 
the EHT oscillator transistor is somewhat critical -- many of the obvious 
choices for that one (like TV line output transistors -- HOTs to you) 
will oscillate, but he voltage regulation loop doesn't work

-tony